<?php

namespace Myvetshop\Module\Clinique\Security\Profiles;

interface ProfileInterface
{
    public function getProfileName(): string;

    /**
     * @return array<string, string>
     */
    public function getProfileTabs(): array;

    /**
     * @return array<string, string>
     */
    public function getProfileModules(): array;

    public function ensureProfileIsConfigured(): void;
}
